Trouble Upgrading SP Page Builder From 3.8.10 To 5.3.2 - Question | JoomShaper

Trouble Upgrading SP Page Builder From 3.8.10 To 5.3.2

S

sydk2017

SP Page Builder 1 month ago

When I try to upgrade SP Page Builder from 3.8.10 to 5.3.2, the modules are still deleted and I need to import the modules database tables afterwards.

But now once upgraded to 5.3.2 - even if I uninstall 3.8.10 first, I still cannot add Google Font API and then save - I get an error "Request failed with status code 404 - see screen shot: https://www.dropbox.com/scl/fi/j0zvst6zmxzxrx64f3zfl/Sp-Page-Upgrade-Capture.PNG?rlkey=ldtgj1869fmwu76p84vorn6hn&st=5j1uy5qg&dl=0

How do you suggest is the best way to go about upgrading SP Page Builder from 3.8.10 to 5.3.2, and still be able to add Google Fonts API, etc, and have everything work normally?

Is there was way to add Google Fonts API etc. before upgrading so I have that functionality?

Many of my sites have many modules made with SP Page builder so I need to import/export database tables - I can't export each module and then try to remember where they go. Are you working on a fix so modules don't get deleted?

Is this something that is being worked on? Will you have a fix for this soon?

Thanks,

0
7 Answers
Toufiq
Toufiq
Accepted Answer
Senior Staff 4 weeks ago #159834

Hi there,

Thank you for reaching out, and I apologize for any inconvenience caused by this oversight. Do you site backup of your site? If yes, provide me a backup of your site. I will check & get back to you soon. We have plan to release a migrator Page Builder 3 module to Page Builder 5.

Best regards,

Toufiqur Rahman (Team Lead, Support)

0
S
sydk2017
Accepted Answer
4 weeks ago #159843

Thanks - link to backup is below. A migrator would probably be a good idea so we can add API's, etc. that are not added to the older version. If this is somethiong that will be ready in the next month or so I can just hold off until it's ready.

0
Toufiq
Toufiq
Accepted Answer
Senior Staff 3 weeks ago #160062

Download & check this backup.

How to install akeeba backup.

https://drive.google.com/file/d/16fMwHR2ZAa3yctnP5rn7zm6YlwB7ijQj/view

0
S
sydk2017
Accepted Answer
3 weeks ago #160154

All I get is:

GOOGLE Drive **We're sorry. You can't access this item because it is in violation of our Terms of Service.

Find out more about this topic at the Google Drive Help Center.**

I'm just going to stay with the old Page Builder and Joomla 4 for as long as I can. Hopefully by the time I have to upgrade, all of these problems will be fixed.

0
Toufiq
Toufiq
Accepted Answer
Senior Staff 3 weeks ago #160184

Please check latest link.

0
S
sydk2017
Accepted Answer
3 weeks ago #160187

Thanks - but what did you do to make it work? What do I change for other sites?

0
Toufiq
Toufiq
Accepted Answer
Senior Staff 3 weeks ago #160189

I just installed your backup on my localhost. Then installed Page Builder pro and Helix latest version. Thanks

0